
package mhp.oee.wserp.gdbj;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "SI_GETPMURLOUTService", targetNamespace = "http://atlbatter.com/ANDON/get_pmurl", wsdlLocation = "http://ndsapd111.atlbattery.com:50900/dir/wsdl?p=sa/6756381414dd37f4a64e5a9a3b0d8dd1")
public class SIGETPMURLOUTService
    extends Service
{

    private final static URL SIGETPMURLOUTSERVICE_WSDL_LOCATION;
    private final static WebServiceException SIGETPMURLOUTSERVICE_EXCEPTION;
    private final static QName SIGETPMURLOUTSERVICE_QNAME = new QName("http://atlbatter.com/ANDON/get_pmurl", "SI_GETPMURLOUTService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://ndsapd111.atlbattery.com:50900/dir/wsdl?p=sa/6756381414dd37f4a64e5a9a3b0d8dd1");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        SIGETPMURLOUTSERVICE_WSDL_LOCATION = url;
        SIGETPMURLOUTSERVICE_EXCEPTION = e;
    }

    public SIGETPMURLOUTService() {
        super(__getWsdlLocation(), SIGETPMURLOUTSERVICE_QNAME);
    }

    public SIGETPMURLOUTService(WebServiceFeature... features) {
        super(__getWsdlLocation(), SIGETPMURLOUTSERVICE_QNAME, features);
    }

    public SIGETPMURLOUTService(URL wsdlLocation) {
        super(wsdlLocation, SIGETPMURLOUTSERVICE_QNAME);
    }

    public SIGETPMURLOUTService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, SIGETPMURLOUTSERVICE_QNAME, features);
    }

    public SIGETPMURLOUTService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public SIGETPMURLOUTService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns SIGETPMURLOUT
     */
    @WebEndpoint(name = "HTTP_Port")
    public SIGETPMURLOUT getHTTPPort() {
        return super.getPort(new QName("http://atlbatter.com/ANDON/get_pmurl", "HTTP_Port"), SIGETPMURLOUT.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SIGETPMURLOUT
     */
    @WebEndpoint(name = "HTTP_Port")
    public SIGETPMURLOUT getHTTPPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://atlbatter.com/ANDON/get_pmurl", "HTTP_Port"), SIGETPMURLOUT.class, features);
    }

    /**
     * 
     * @return
     *     returns SIGETPMURLOUT
     */
    @WebEndpoint(name = "HTTPS_Port")
    public SIGETPMURLOUT getHTTPSPort() {
        return super.getPort(new QName("http://atlbatter.com/ANDON/get_pmurl", "HTTPS_Port"), SIGETPMURLOUT.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SIGETPMURLOUT
     */
    @WebEndpoint(name = "HTTPS_Port")
    public SIGETPMURLOUT getHTTPSPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://atlbatter.com/ANDON/get_pmurl", "HTTPS_Port"), SIGETPMURLOUT.class, features);
    }

    private static URL __getWsdlLocation() {
        if (SIGETPMURLOUTSERVICE_EXCEPTION!= null) {
            throw SIGETPMURLOUTSERVICE_EXCEPTION;
        }
        return SIGETPMURLOUTSERVICE_WSDL_LOCATION;
    }

}
